#### D.8.6.2 triMNewton

Procedure from library `ntsolve.lib` (see ntsolve_lib).

Usage:
  triMNewton(G,a[,ipar]); G,a= ideals, ipar=list/intvec

Assume:
  G: g1,..,gn, a triangular system of n equations in n vars, i.e. gi=gi(var(n-i+1),..,var(n)),
  a: ideal of numbers, coordinates of an approximation of a common zero of G to start with (with a[i] to be substituted in var(i)),
  ipar: control integer vector (default: ipar = [100, 10])

        ipar[1]: max. number of iterations
        ipar[2]: accuracy (we have as norm |.| absolute value ):
                 accepts solution sol if |G(sol)| < |G(a)|*(0.1^ipar[2]).

Return:
  an ideal, coordinates of a better approximation of a zero of G

Example:

    LIB "ntsolve.lib";
    ring r = (real,30),(z,y,x),(lp);
    ideal i = x^2-1,y^2+x4-3,z2-y4+x-1;
    ideal a = 2,3,4;
    intvec e = 20,10;
    ideal l = triMNewton(i,a,e);
    l;
    ==> l[1]=-2.00000000004226573888027914342
    ==> l[2]=1.41421356237309504880168872421
    ==> l[3]=1

User manual for Singular version 4.4.1, 2025, generated by texi2html.